    Set an option for the current optimization method.

set_method_opt(optname, val)
optname - str

This is a helper function since the optimization options can also be set directly using the object returned by `get_method` .

Change the maxfev parameter for the current optimizer to 2000.

>>> set_method_opt('maxfev', 2000)

PARAMETERS

The parameters for this function are:

Parameter
Definition
optname
The name of the option to set. The `get_method`

and `get_method_opt` routines can be used to find out valid values for this argument.
val
The new value for the option.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023